> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account by ID

> <sup>API Key permissions: View only, Transaction Operator, Full Access, MPC Hot Signer</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/accounts/{accountId}
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/accounts/{accountId}:
    get:
      tags:
        - accounts
      summary: Get Account by ID
      description: >-
        <sup>API Key permissions: View only, Transaction Operator, Full Access,
        MPC Hot Signer</sup>
      parameters:
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
        - in: path
          name: accountId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    Account:
      properties:
        accountId:
          examples:
            - bin11066zbf15owuxn9ohrvg
          type: string
        accountName:
          examples:
            - Default vault
          type: string
        accountType:
          $ref: '#/components/schemas/AccountType'
          description: '[See details](/enums/AccountType)'
        createdAt:
          examples:
            - '1742572023000'
          format: date-time-millis
          type: string
        createdBy:
          examples:
            - htp1jwoa1qk8m8cw2dc8th4z
          type: string
        externalId:
          description: Unique external ID for the account
          examples:
            - aqm4857o9fvc1iyjm3vi72es
          type: string
        extra:
          $ref: '#/components/schemas/AccountExtra'
          description: Account extra data
        icon:
          description: >-
            Account icon: image path (e.g. 'accounts/logos/abc.png') or
            'emoji:<utf8>' (e.g. 'emoji:🚀')
          examples:
            - emoji:🚀
          type: string
        isTestnet:
          description: Flag to indicate if the account is a testnet account
          type: boolean
        parentAccountId:
          description: Parent account ID
          type: string
        status:
          $ref: '#/components/schemas/AccountStatus'
          description: '[See details](/enums/AccountStatus)'
        updatedAt:
          examples:
            - '1742572023000'
          format: date-time-millis
          type: string
        workspaceId:
          examples:
            - liya1seswlrlydfpy5xzulsz
          type: string
      required:
        - accountId
        - externalId
        - accountType
        - accountName
        - status
        - workspaceId
        - createdAt
      type: object
    AccountType:
      enum:
        - vault
      type: string
    AccountExtra:
      properties: {}
      type: object
    AccountStatus:
      enum:
        - active
        - archived
        - shard-generating
        - error-on-generating
      type: string

````